org.jfree.ui

## Class ExtensionFileFilter

- java.lang.Object
- - javax.swing.filechooser.FileFilter
  - - org.jfree.ui.ExtensionFileFilter

-     public class ExtensionFileFilter
      extends javax.swing.filechooser.FileFilter

  A filter for JFileChooser that filters files by extension.
  Author:
    David Gilbert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionFileFilter(java.lang.String description, java.lang.String extension)` Standard constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.io.File file)` Returns true if the file ends with the specified extension.
    `java.lang.String` | `getDescription()` Returns the description of the filter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtensionFileFilter

          public ExtensionFileFilter(java.lang.String description,
                             java.lang.String extension)

      Standard constructor.
      Parameters:
        `description` - a description of the file type;
        `extension` - the file extension;

  - ### Method Detail

    - #### accept

          public boolean accept(java.io.File file)

      Returns true if the file ends with the specified extension.
      Specified by:
        `accept` in class `javax.swing.filechooser.FileFilter`
      Parameters:
        `file` - the file to test.
      Returns:
        A boolean that indicates whether or not the file is accepted by the filter.

    - #### getDescription

          public java.lang.String getDescription()

      Returns the description of the filter.
      Specified by:
        `getDescription` in class `javax.swing.filechooser.FileFilter`
      Returns:
        a description of the filter.